package com.izouma.awesomeadmin.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.izouma.awesomeadmin.model.SuperUser;

@Repository("com.izouma.awesomeadmin.dao.SuperUserMapper")
public interface SuperUserMapper {

    /**
     * 
     * <p>获取用户列表。</p>
     *
     * @return TblUser list
     */
    List <SuperUser> queryAllUsers();


    /**
     * 
     * <p>分页查询，需要以ByPage结尾。</p>
     *
     * @return
     */
    List <SuperUser> queryAllUsersByPage(Map <String, Object> parameter);


    /**
     * 
     * <p>根据用户id获取单个用户。</p>
     *
     * @param id
     * @return
     */
    SuperUser queryUserById(String userId);


    int save(SuperUser superUser);


    int updateUserInfo(Map <String, Object> parameter);


    int delete(String userId);


    SuperUser userLogin(Map <String, Object> parameter);
}
